| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Data Structures | Macros | Enumerations | Functions
Values Handling
Miscellaneous
Collaboration diagram for Values Handling:

## Data Structures
struct | oyBlob_s
| A data blob object. More...
struct | oyConfig_s
| A group of options for a device. More...
struct | oyConfigs_s
| A Configs list. More...
union | oyValue_u
| a value More...
struct | oyOption_s
| Option object. More...
struct | oyOptions_s
| generic Options More...

## Macros
#define | OY_SELECT_FILTER 2048
| select from filter More...
#define | OY_SELECT_COMMON 4096
| select from policySelect typical from a associatable oyCMMapi9_s type of filter for providing common options. More...

## Enumerations
enum | oyOPTIONATTRIBUTE_e { oyOPTIONATTRIBUTE_BASIC = 0, oyOPTIONATTRIBUTE_EDIT = 32, oyOPTIONATTRIBUTE_AUTOMATIC = 64, oyOPTIONATTRIBUTE_ADVANCED = 128, oyOPTIONATTRIBUTE_FRONT = 256, oyOPTIONATTRIBUTE_DOUBLE = 512 }
| usage typeThe types of Oyranos default settings to include into the options set. So proofing makes no sense for toolkit widgets, but for advanced graphics displaying. All other Oyranos behaviour settings should be taken over untouched. More...

## Functions
OYAPI oyConfDomain_s *OYEXPORT | oyConfDomain_s::oyConfDomain_FromReg (const char *registration_domain, oyObject_s object)
| allocate a new ConfDomain object More...
OYAPI oyConfDomain_s *OYEXPORT | oyConfDomain_s::oyConfDomain_Copy (oyConfDomain_s *obj, oyObject_s object)
| copy or reference a ConfDomain object More...
OYAPI int OYEXPORT | oyConfDomain_s::oyConfDomain_Release (oyConfDomain_s **obj)
| release and possibly deallocate a ConfDomain object More...
OYAPI const char *OYEXPORT | oyConfDomain_s::oyConfDomain_GetText (oyConfDomain_s *obj, const char *name, oyNAME_e type)
| obtain a UI text from a ConfDomain object More...
OYAPI const char **OYEXPORT | oyConfDomain_s::oyConfDomain_GetTexts (oyConfDomain_s *obj)
| obtain a list of possible UI text from a ConfDomain object More...

## Detailed Description

## Macro Definition Documentation

#define OY_SELECT_COMMON 4096

select from policySelect typical from a associatable oyCMMapi9_s type of filter for providing common options.

Version
  Oyranos: 0.1.10

Since
  2009/07/27 (Oyranos: 0.1.10)

Date
  2009/07/27

Referenced by oyOptions_s::oyOptions_ForFilter_().

#define OY_SELECT_FILTER 2048

select from filter

Version
  Oyranos: 0.1.10

Since
  2009/07/27 (Oyranos: 0.1.10)

Date
  2009/07/27

Referenced by oyImage_FromFile(), oyImage_ToFile(), and oyOptions_s::oyOptions_ForFilter_().

## Enumeration Type Documentation

enum oyOPTIONATTRIBUTE_e

usage typeThe types of Oyranos default settings to include into the options set. So proofing makes no sense for toolkit widgets, but for advanced graphics displaying. All other Oyranos behaviour settings should be taken over untouched.

The ".invisible" attribute says a option shall not be displayed in a GUI. The ".readonly" attribute alllows for unchangeable, static options. They might be used for passing additional informations. The ".font" and ".advanced" attributes are described for the according enum values.

See as well registration

Version
  Oyranos: 0.1.9

Since
  2008/10/08 (Oyranos: 0.1.8)

Date
  2008/11/27

Enumerator
oyOPTIONATTRIBUTE_BASIC | basic settings, as typical for toolkits and office/web applications, e.g. disable proofing or disable mark out of gamut colours
oyOPTIONATTRIBUTE_EDIT | user modified, e.g. after oyOption_SetFromText()
oyOPTIONATTRIBUTE_AUTOMATIC | automatically modified, e.g. by a CMM
oyOPTIONATTRIBUTE_ADVANCED | advanced settings, as typical for editing, e.g. include proofing (options appended with ".advanced")
oyOPTIONATTRIBUTE_FRONT | front end options, handled by the framework or policy module, e.g. ".front"
oyOPTIONATTRIBUTE_DOUBLE | tell this options is included twice

## Function Documentation

OYAPI oyConfDomain_s *OYEXPORT oyConfDomain_Copy | ( | oyConfDomain_s * | obj,
|  | oyObject_s | object
| ) |  |

copy or reference a ConfDomain object

Function oyConfDomain_Copy

Parameters

  [in] | obj | struct object
  | object | the optional object

Version
  Oyranos: 0.1.10

Since
  2009/12/30 (Oyranos: 0.1.10)

Date
  2009/12/30

References oyOBJECT_CONF_DOMAIN_S.

OYAPI oyConfDomain_s *OYEXPORT oyConfDomain_FromReg | ( | const char * | registration_domain,
|  | oyObject_s | object
| ) |  |

allocate a new ConfDomain object

Function oyConfDomain_New

Version
  Oyranos: 0.1.10

Since
  2009/12/30 (Oyranos: 0.1.10)

Date
  2009/12/30

Referenced by oyDeviceToJSON().

OYAPI const char *OYEXPORT oyConfDomain_GetText | ( | oyConfDomain_s * | obj,
|  | const char * | name,
|  | oyNAME_e | type
| ) |  |

obtain a UI text from a ConfDomain object

Function oyConfDomain_GetText

Parameters

  [in,out] | obj | struct object
  [in] | name | the category to return
  [in] | type | the type of string

Version
  Oyranos: 0.1.10

Since
  2009/12/30 (Oyranos: 0.1.10)

Date
  2009/12/30

References oyOBJECT_CONF_DOMAIN_S.

Referenced by oyDeviceToJSON().

OYAPI const char **OYEXPORT oyConfDomain_GetTexts | ( | oyConfDomain_s * | obj | ) |

obtain a list of possible UI text from a ConfDomain object

Function oyConfDomain_GetTexts

Returns
  zero terminated list of strings, Each string is a "name" option to oyConfDomain_GetText().

Version
  Oyranos: 0.1.10

Since
  2009/12/30 (Oyranos: 0.1.10)

Date
  2009/12/30

References oyOBJECT_CONF_DOMAIN_S.

OYAPI int OYEXPORT oyConfDomain_Release | ( | oyConfDomain_s ** | obj | ) |

release and possibly deallocate a ConfDomain object

Function oyConfDomain_Release

Parameters

  [in,out] | obj | struct object

Version
  Oyranos: 0.1.10

Since
  2009/12/30 (Oyranos: 0.1.10)

Date
  2009/12/30

References oyOBJECT_CONF_DOMAIN_S.

Referenced by oyDeviceToJSON().